summaryrefslogtreecommitdiffstats
path: root/deploy/check_openstack_progress.sh
diff options
context:
space:
mode:
authorAlex Yang <yangyang1@zte.com.cn>2017-03-02 20:08:35 +0800
committerAlex Yang <yangyang1@zte.com.cn>2017-03-02 20:08:35 +0800
commit6aa0d065c6d8f341a7307cf69e6afec2e2bdc682 (patch)
tree7f481e082c29393b91ff2c5fc7066dad27a39ef6 /deploy/check_openstack_progress.sh
parentf6a8df558e69139779cd7823b676f8856d358aa6 (diff)
End deployment when timeout
Change-Id: Iaae02bfc69450d6138b7b187ec23e4ed2eef6138 Signed-off-by: Alex Yang <yangyang1@zte.com.cn>
Diffstat (limited to 'deploy/check_openstack_progress.sh')
-rwxr-xr-xdeploy/check_openstack_progress.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/deploy/check_openstack_progress.sh b/deploy/check_openstack_progress.sh
index c1c88eb8..bbd631b6 100755
--- a/deploy/check_openstack_progress.sh
+++ b/deploy/check_openstack_progress.sh
@@ -2,7 +2,17 @@
source /root/daisyrc_admin
echo "check openstack installing progress..."
cluster_id=`daisy cluster-list | awk -F "|" '{print $2}' | sed -n '4p'`
+
+maxcount=180
+count=0
+
while true; do
+ if [ $count -gt $maxcount ]; then
+ echo "It took too long to install openstack, exit 1."
+ exit 1
+ fi
+ count=$[count + 1]
+
openstack_install_active=`daisy host-list --cluster-id $cluster_id | awk -F "|" '{print $12}' | grep -c "active" `
openstack_install_failed=`daisy host-list --cluster-id $cluster_id | awk -F "|" '{print $12}' | grep -c "install-failed" `
if [ $openstack_install_active -eq 1 ]; then